For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to page URLs.
Skip to content

Get Currency by Name

Get currency by name

get

Returns the requested currency.

Authorizations
X-Ledger-API-KeystringRequired

If you've set up your API Key when initializing your LAM, you'll need to include it as a header along with the api user header. For more details, see step 5 of the get started documentation.

X-Ledger-API-UserstringRequired

(required) Username of a registered API User

Path parameters
currency_namestringRequired

The currency name.

Responses
200

Currency object

application/json
familystring · enum · nullableOptionalDefault: nullExample: bitcoinPossible values:
namestring · enumRequiredExample: bitcoinPossible values:
num_confirmation_neededintegerRequired
typestring · enumRequiredExample: CRYPTOPossible values:
get/currencies/{currency_name}
GET /currencies/{currency_name} HTTP/1.1
X-Ledger-API-Key: YOUR_API_KEY
X-Ledger-API-User: YOUR_API_KEY
Accept: */*
{
  "family": "bitcoin",
  "name": "bitcoin",
  "num_confirmation_needed": 1,
  "type": "CRYPTO",
  "units": [
    {
      "code": "tBTC",
      "magnitude": 8
    }
  ]
}

Last updated